---
wsId: 
title: Crypto Exchange -  Buy & Sell Cryptocurrency
altTitle: 
authors:
- danny
users: 10000
appId: com.crypto.exchange.app.cryptocurency.exchange
appCountry: 
released: 2021-04-23
updated: 2021-04-23
version: '1.0'
stars: 4.6
ratings: 220
reviews: 188
size: 5.7M
website: http://crypto-exchange.club
repository: 
issue: 
icon: com.crypto.exchange.app.cryptocurency.exchange.png
bugbounty: 
meta: stale
verdict: nowallet
date: 2022-04-19
signer: 
reviewArchive: 
twitter: 
social: 
redirect_from: 

---

⚠️ **Warning!** Despite its claims, this app is not a real cryptocurrency exchange app. It is a blatant ploy to receive affiliate commissions from binance. 

When you click on 'Visit Website' on Google Play, the domain listed is crypto-exchange.club. This domain redirects to binance.com with referral url =LDVC8GFU

When you download and open the app, it opens a binance signup form.

This is definitely **not a wallet.**


